This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
Consulta Transmission
#1
Buenas a tod@s:

Instalé el Transmission en la Rpi para así poder tener las 24 horas descargando archivos con un consumo mínimo.

He conseguido que funcione el programa y pueda acceder a través de la web para subir los archivos a descargar.

Sin embargo, cuando empieza a bajar los archivos y a guardarlos en la unidad externa habilitada para tal fin, me dice el siguiente error:

Código:
Error: Unable to save resume file: Permission denied


He mirado en el siguiente link y no he sabido resolver el problema:

http://raspberrypi.stackexchange.com/que...n-usb-disk

A continuación os dejo mi configuración para ver si véis el fallo.

En el tutorial que he seguido, veo que los permisos de las carpetas donde guarda los torrents el propietario es el usuario pi en cambio a mi me aparce el root, y creo que por aquí puede venir el probelma.




Permisos carpetas usb:

Código:
pi@raspberrypi2:/media/usb/torrent $ ls -l
total 32
drwxr-xr-x 2 root root 16384 jul 22 09:11 finish
drwxr-xr-x 2 root root 16384 jul 22 09:11 temp


Configuración Transmission:
Código:
/var/lib/transmission-daemon/info/settings.json
{
   "alt-speed-down": 50,
   "alt-speed-enabled": false,
   "alt-speed-time-begin": 540,
   "alt-speed-time-day": 127,
   "alt-speed-time-enabled": false,
   "alt-speed-time-end": 1020,
   "alt-speed-up": 50,
   "bind-address-ipv4": "0.0.0.0",
   "bind-address-ipv6": "::",
   "blocklist-enabled": false,
   "blocklist-url": "http://www.example.com/blocklist",
   "cache-size-mb": 4,
   "dht-enabled": true,
   "download-dir": "/media/usb/torrent/finish",
   "download-limit": 100,
   "download-limit-enabled": 0,
   "download-queue-enabled": true,
   "download-queue-size": 5,
   "encryption": 1,
   "idle-seeding-limit": 30,
   "idle-seeding-limit-enabled": false,
   "incomplete-dir": "/media/usb/torrent/temp",
   "incomplete-dir-enabled": true,
   "lpd-enabled": false,
   "max-peers-global": 200,
   "message-level": 1,
   "peer-congestion-algorithm": "",
   "peer-id-ttl-hours": 6,
   "peer-limit-global": 200,
   "peer-limit-per-torrent": 50,
   "peer-port": 51413,
   "peer-port-random-high": 65535,
   "peer-port-random-low": 49152,
   "peer-port-random-on-start": false,
   "peer-socket-tos": "default",
   "pex-enabled": true,
   "port-forwarding-enabled": false,
   "preallocation": 1,
   "prefetch-enabled": 1,
   "queue-stalled-enabled": true,
   "queue-stalled-minutes": 30,
   "ratio-limit": 2,
   "ratio-limit-enabled": false,
   "rename-partial-files": true,
   "rpc-authentication-required": true,
   "rpc-bind-address": "0.0.0.0",
   "rpc-enabled": true,
   "rpc-password": "{d3dd7cf5ad794caf8c867f3d5701a786cf2a1297uHkADg7k",
   "rpc-port": 9091,
   "rpc-url": "/transmission/",
   "rpc-username": "transmission",
   "rpc-whitelist": "127.0.0.1,192.168.*.*",
   "rpc-whitelist-enabled": false,
   "scrape-paused-torrents-enabled": true,
   "script-torrent-done-enabled": false,
   "script-torrent-done-filename": "",
   "seed-queue-enabled": false,
   "seed-queue-size": 10,
   "speed-limit-down": 100,
   "speed-limit-down-enabled": false,
   "speed-limit-up": 100,
   "speed-limit-up-enabled": false,
   "start-added-torrents": true,
   "trash-original-torrent-files": false,
   "umask": 18,
   "upload-limit": 100,
   "upload-limit-enabled": 0,
   "upload-slots-per-torrent": 14,
   "utp-enabled": true
}

Segundo archivo de configuración:

Código:
#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          transmission-daemon
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the transmission-daemon.
# Description:       Enable service provided by transmission-daemon.
### END INIT INFO

NAME=transmission-daemon
DAEMON=/usr/bin/$NAME
USER=root
STOP_TIMEOUT=30

export PATH="${PATH:+$PATH:}/sbin"

[ -x $DAEMON ] || exit 0

[ -e /etc/default/$NAME ] && . /etc/default/$NAME

. /lib/lsb/init-functions

start_daemon () {
   if [ $ENABLE_DAEMON != 1 ]; then
       log_progress_msg "(disabled)"
        log_end_msg 255 || true
   else    
       start-stop-daemon --start \
       --chuid $USER \
        $START_STOP_OPTIONS \
       --exec $DAEMON -- $OPTIONS || log_end_msg $?
        log_end_msg 0
   fi
}

case "$1" in
   start)
       log_daemon_msg "Starting bittorrent daemon" "$NAME"
       start_daemon
       ;;
   stop)
       log_daemon_msg "Stopping bittorrent daemon" "$NAME"
       start-stop-daemon --stop --quiet \
           --exec $DAEMON --retry $STOP_TIMEOUT \
           --oknodo || log_end_msg $?
       log_end_msg 0
       ;;
   reload)
       log_daemon_msg "Reloading bittorrent daemon" "$NAME"
       start-stop-daemon --stop --quiet \
           --exec $DAEMON \
           --oknodo --signal 1 || log_end_msg $?
       log_end_msg 0
       ;;
   restart|force-reload)
       log_daemon_msg "Restarting bittorrent daemon" "$NAME"
       start-stop-daemon --stop --quiet \
           --exec $DAEMON --retry $STOP_TIMEOUT \
           --oknodo || log_end_msg $?
       start_daemon
       ;;
   status)
       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
       ;;
   *)
       log_action_msg "Usage: /etc/init.d/$NAME {start|stop|reload|force-reload|restart|status}" || true
       exit 2
       ;;
esac

exit 0


Muchas gracias de antemano.
  Responder
#2
Parece que has montado una unidad en /media/usb/torrent
Por defecto, los permisos son sólo para quien hace el montaje, normalmente root o pi.
Para una unidad samba yo tengo algo así en /etc/fstab:

//IP-REMOTA/ruta /media/pi/PUNTO-MONTAJE cifs auto,guest,iocharset=utf8,uid=1002,gid=1002 0 0

donde 1002 es el GID y el UID del usuario que debe poder acceder, en tu caso debian-transmission

No te servirá el ejemplo porque en tu caso no es una unidad samba, pero lo del uid=XXXX,gid=XXXX igual sí te ayuda

suerte con ello
  Responder
#3
Yo los tengo montados en media/descargas y dentro de /media/descargas otro directorio llamado incompleto, donde se van descargando las peliculas y al finalizar las mueve a /media/descargas.
Lo tengo montado en una Raspberry Pi B del año 2012 con el sistema xbian.

Has mirado si cuando reinicias la rpi la unidad externa está montada? Porque hay que tocar algo de la configuración para que lo haga automáticamente.

Entra por ssh y teclea df -h ("sudo df -h" si necesitas permisos), a ver si te sale algo parecido a ésto: /dev/sda1       459G  436G     0 100% /media/descargas

Saludos.
[Imagen: avatar-3432.gif] [Imagen: guybrush.gif]
-Eh! Mira detrás de tí, ¡¡UN MONO de TRES CABEZAS!!
-Piratas importantes: ¿Que quieres chico?
-Guybrush: Quiero ser bombero.
  Responder


Posibles temas similares…
Tema Autor Respuestas Vistas Último mensaje
  No puedo acceder a Transmission desde el navegador sejiozosky 6 3,451 30-12-2015, 07:11 PM
Último mensaje: sejiozosky